body {
    margin: 0;
    overflow: hidden;
    background: #fcd2c7;
}
body * {
    position: absolute;
    transform-style: preserve-3d;
}
body *::after, body *::before {
    position: absolute;
    content: '';
}
.scene {
    top: 50%;
    left: 50%;
    width: 1px;
    height: 1px;
    transform: rotateX(54.7deg) rotateZ(-45deg);

    --animation: 4s linear(0 0%, 0 1.8%, 0.01 3.6%, 0.03 6.35%, 0.07 9.1%, 0.13 11.4%, 0.19 13.4%, 0.27 15%, 0.34 16.1%, 0.54 18.35%, 0.66 20.6%, 0.72 22.4%, 0.77 24.6%, 0.81 27.3%, 0.85 30.4%, 0.88 35.1%, 0.92 40.6%, 0.94 47.2%, 0.96 55%, 0.98 64%, 0.99 74.4%, 1 86.4%, 1 100%) infinite;
}
.cube {
    color: #3c413c;
    transform-origin: 0.5px 0.5px 0.5px;
    transform-style: preserve-3d;
}
.cube,
.cube::before,
.cube__side,
.cube__side::before {
    width: 100px; aspect-ratio: 1/1;
    border: 1px solid currentColor;
    box-sizing: border-box;
}
.cube::before {
    top: -1px;
    left: -1px;
    translate: 0 0 1px;
}
.cube__side::before {
    top: -1px;
    left: -1px;
    translate: 0 0 -1px;
}
.cube__side {
    top: -1px;
    left: -1px;
}
.cube__side:nth-child(1) {
    translate: 0 0 100px;
}
.cube__side:nth-child(2) {
    transform-origin: top left;
    transform: rotateY(-90deg);
}
.cube__side:nth-child(3) {
    transform-origin: bottom right;
    transform: rotateY(90deg);
}
.cube__side:nth-child(4) {
    transform-origin: bottom right;
    transform: rotateX(-90deg);
}
.cube__side:nth-child(5) {
    transform-origin: top left;
    transform: rotateX(90deg);
}
.cube1 {
    animation: cube1 var(--animation);
}
@keyframes cube1 {
    0%{transform: rotateY(0deg);}
    50%{transform: rotateY(90deg);}
    100%{transform: rotateY(90deg) rotateX(90deg);}
}
.cube2 {
    animation: cube2 var(--animation);
}
@keyframes cube2 {
    0%{transform: rotateY(270deg);}
    50%{transform: rotateY(360deg);}
    100%{transform: rotateY(360deg) rotateZ(90deg);}
}
.cube3 {
    animation: cube3 var(--animation);
}
@keyframes cube3 {
    0%{transform: rotateX(90deg);}
    50%{transform: rotateX(90deg) rotateZ(90deg);}
    100%{transform: rotateX(90deg) rotateZ(90deg) rotateX(90deg);}
}
.cube4 {
    animation: cube4 var(--animation);
}
@keyframes cube4 {
    0%{transform: rotateX(90deg) rotateY(-90deg);}
    50%{transform: rotateX(90deg) rotateY(-90deg) rotateX(90deg);}
    100%{transform: rotateX(90deg) rotateY(-180deg) rotateX(90deg);}
}
.cube5 {
    animation: cube5 var(--animation);
}
@keyframes cube5 {
    0%{transform: rotateY(180deg);}
    50%{transform: rotateY(270deg);}
    100%{transform: rotateY(270deg) rotateX(90deg);}
}
.cube6 {
    animation: cube6 var(--animation);
}
@keyframes cube6 {
    0%{transform: rotateY(180deg) rotateX(90deg);}
    50%{transform: rotateY(180deg) rotateX(90deg) rotateZ(90deg);}
    100%{transform: rotateY(180deg) rotateX(90deg) rotateZ(90deg) rotateX(90deg);}
}
.cube7 {
    animation: cube7 var(--animation);
}
@keyframes cube7 {
    0%{transform: rotateX(-180deg);}
    50%{transform: rotateX(-180deg) rotateY(90deg);}
    100%{transform: rotateX(-180deg) rotateY(90deg) rotateX(90deg);}
}
.cube8 {
    animation: cube8 var(--animation);
}
@keyframes cube8 {
    0%{transform: rotateY(90deg);}
    50%{transform: rotateY(180deg);}
    100%{ transform: rotateY(180deg) rotateZ(90deg);}
}
.ball,
.ball::before,
.ball::after {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background-color: currentColor;
    transform-origin: center center;
}
.cube1 .ball,
.cube4 .ball,
.cube5 .ball,
.cube7 .ball {
    color: #84a59d;
}
.cube2 .ball,
.cube3 .ball,
.cube6 .ball,
.cube8 .ball {
    color: #f28482;
}
.ball::before {
    transform: rotateY(90deg);
}
.ball::after {
    transform: rotateX(125deg) rotateY(25deg);
}
.cube1 .ball {transform: translateZ(50px) rotateX(-45deg) rotateY(-45deg)}
.cube2 .ball {transform: translateZ(50px) rotateX(-45deg) rotateY(45deg)}
.cube3 .ball {transform: translateZ(50px) rotateX(-135deg) rotateY(135deg)}
.cube4 .ball {transform: translateZ(50px) rotateX(45deg) rotateY(-45deg)}
.cube5 .ball {transform: translateZ(50px) rotateX(135deg) rotateY(-45deg)}
.cube6 .ball {transform: translateZ(50px) rotateX(135deg) rotateY(-45deg)}
.cube7 .ball {transform: translateZ(50px) rotateX(135deg) rotateY(135deg)}
.cube8 .ball {transform: translateZ(50px) rotateX(45deg) rotateY(-45deg)}
